Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authentication
Class LDAPAuthFailedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.security.auth.login.LoginException
                              |
                              +--javax.security.auth.login.FailedLoginException
                                    |
                                    +--weblogic.security.providers.authentication.LDAPAuthFailedException

public final class LDAPAuthFailedException
extends javax.security.auth.login.FailedLoginException

See Also:
  Serialized Form

Constructor Summary
`LDAPAuthFailedException()`
`LDAPAuthFailedException(java.lang.String msg)`
`LDAPAuthFailedException(java.lang.String msg, weblogic.security.providers.authentication.LDAPAtnDelegateException ldapException)`

Method Summary
`weblogic.security.providers.authentication.LDAPAtnDelegateException` | `getException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LDAPAuthFailedException

    public LDAPAuthFailedException()

### LDAPAuthFailedException

    public LDAPAuthFailedException(java.lang.String msg)

### LDAPAuthFailedException

    public LDAPAuthFailedException(java.lang.String msg,
                                   weblogic.security.providers.authentication.LDAPAtnDelegateException ldapException)

Method Detail

### getException

    public weblogic.security.providers.authentication.LDAPAtnDelegateException getException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference